<div ng-controller="SectorCtrl">
    <div class="page page-tables-bootstrap">
        <div class="panel panel-default">
            <div class="panel-heading">
            	<h3 class="panel-title"><i class="fa fa-users"></i> Gestión de Sectores</h3>
            </div>
          	<div class="panel-body">
	          	<div class="row">
		          	<div class="col-md-4">
		          		<input type="text" class="form-control"  ng-model="buscar" placeholder="Buscar Sector">
		          	</div>
		          	<div class="col-md-4">
		          		
		          	</div>
		          	<div class="col-md-4">
		          		<button class="btn btn-success btn-block" data-options="splash-2 splash-ef-14" ng-click="clear();openModalSave($event)"><i class="fa fa-plus"></i> Agregar Sector</button>
		          	</div>
	          	</div>
	            <hr>
	          	<div class="row" ng-if="flag">
		          	<div class="col-md-12">
		          		<ng-include src="'views/home/others/loading.html'">
						</ng-include>
		          	</div>
	          	</div>
	          	<div class="row" ng-if="!flag">
					<div class="col-md-12">
						<div class="table-responsive">
							<table class="table table-hover">
								<thead>
									<tr>
										<th>Nombre</th>
										<th>Ubicación</th>
										<th>Delegado</th>
										<th class="text-center">Opciones</th>
									</tr>
								</thead>
								<tbody>
									<tr dir-paginate="sec in sectores |filter: buscar | itemsPerPage: 7" pagination-id="sec.id">
										<td>{{sec.nombre}}</td>
										<td>{{sec.ubicacion}}</td>
										<td>
											<button class="btn btn-xs btn-default" data-options="splash-2 splash-ef-14" ng-click="load(sec);openModalDelegado($event)">Delegado</button>
										</td>
										<td class="text-center">
											<button class="btn btn-info btn-xs" data-options="splash-2 splash-ef-14" ng-click="load(sec);openModalSave($event)"><span class="fa fa-edit"></span> Editar</button>
											<button class="btn btn-danger btn-xs"  data-options="splash-2 splash-ef-14" ng-click="load(sec);openModalDelete($event)"><span class="fa fa-trash"></span> Eliminar</button>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
						<div class="text-center">
							<dir-pagination-controls pagination-id="sec.id"></dir-pagination-controls>
						</div>
					</div>
			    </div>
			</div>
		</div>
	</div>
	<script type="text/ng-template" id="modal_delegados.html">
        <!-- <div class="modal-header">
            <h3 class="modal-title custom-font">I'm a modal!</h3>
        </div> -->
        <div class="modal-body">            

            <div class="row" ng-show="flagListAdd">
            	<div class="col-md-12">
            		<legend class="text-center"><i class="fa fa-users"></i> Lista de Delegados</legend>
            	</div>
            	<div class="col-md-4">
            		
            	</div>
            	<div class="col-md-4"></div>
            	<div class="col-md-4">
			    	<button class="btn btn-success btn-block" ng-click="new()">
			    		<span class="i fa fa-plus"></span> Cambiar Delegado</span>
			    	</button>
            	</div>
            	<br>
            	<div class="col-md-12" ng-show="delegados.length > 0">
            		<div class="table-responsive">
						<table class="table table-hover">
							<thead>
								<tr>
									<th>Nombres y Apellidos</th>
									<th>Fecha de Inicio</th>
									<th class="text-center">Opciones</th>
								</tr>
							</thead>
							<tbody>
								<tr dir-paginate="delegado in delegados | itemsPerPage: 7" pagination-id="delegado.id">
									<td>{{delegado.fullname}}</td>
									<td>{{delegado.fecha_inicio_cargo}}</td>
									<td class="text-center">
										<button class="btn btn-danger btn-xs" ng-click="quitarDelegado(delegado)"><span class="fa fa-trash"></span> Eliminar</button>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					<div class="text-center">
						<dir-pagination-controls pagination-id="delegado.id"></dir-pagination-controls>
					</div>
            	</div>
            	<div class="col-md-12" ng-show="delegados.length == 0">
            		<p class="text-center">
                        <i class="fa fa-inbox fa-4x"></i>
                        <h5 class="text-center">no hay delegados asignados...</h5>
                    </p>
            	</div>            	

	            <div class="mt-20">
	                <div class="text-center">
		                <button class="btn btn-default" ng-click="ok()"><i class="fa fa-close"></i> Cerrar</button>
		            </div>
	           </div>
            </div>
            <div class="row" ng-show="!flagListAdd">
            	<div class="col-md-12">
            		<legend class="text-center"><i class="fa fa-user"></i> Cambiar Delegado</legend>
            
		            <form ng-submit="asignarDelegado()">
		            	<div class="row">
			               	<div class="col-md-12">
			               		<div class="form-group">
			                        <label for="">Productor</label>
									<select class="form-control" ng-model="model.id_productor" ng-options="productor.id as productor.persona.fullname for productor in productores">
					                    <option value="">-- Seleccionar Productor --</option>
					                </select>
			                   </div>
			               </div>

			               <div class="col-md-12">
								<div class="form-group">
			               			<label for="fecha_inicio">Fecha Inicio</label>
									<input type="date" class="form-control" id="fecha_inicio" ng-model="model.fecha_inicio_t">
								</div>
			               </dSiv>

			            </div>

		               <div class="mt-20">
		                    <div class="text-center">
				                <button type="submit" ng-if="!flagCrud" class="btn btn-primary"><i class="fa fa-refresh"></i> Cambiar</button>
				                <button ng-if="flagCrud" class="btn btn-border btn-rounded-10 btn-default"><i class="fa fa-spinner fa-spin"></i> Cambiando...</button>
				                <button type="button" class="btn btn-default" ng-click="clear()"><i class="fa fa-close"></i> Cancelar</button>
				            </div>
		               </div>                   
		            </form>
            	</div>            	
            </div>
        </div>
    </script>
	<script type="text/ng-template" id="modal_sector.html">
        <!-- <div class="modal-header">
            <h3 class="modal-title custom-font">I'm a modal!</h3>
        </div> -->
        <div class="modal-body">
            <legend class="text-center"><i class="fa fa-user"></i> <span ng-if="obj.crud">Nuevo</span><span ng-if="!obj.crud">Actualizar</span> Sector</legend>
            
            <form ng-submit="createEdit()">
            	<div class="row">
	               <div class="form-group">
	                   <div class="col-md-12">
	                        <label for="">Nombre</label>
							<input type="text" class="form-control" id="nombre" ng-model="obj.nombre" placeholder="Nombre"> 
	                   </div>
	               </div>

	               <div class="form-group">
	               		<div class="col-md-12">
							<label for="">Ubicación</label>
							<input type="text" class="form-control" id="ubicacion" ng-model="obj.ubicacion" placeholder="Ubicación">
						</div>
	               </div>

	            </div>

               <div class="mt-20">
                    <div class="text-center">
		                <button type="submit" class="btn btn-primary"><i class="fa fa-save"></i> <span ng-if="obj.crud">Guardar</span><span ng-if="!obj.crud">Actualizar</span></button>
		                <button type="button" class="btn btn-default" ng-click="ok()"><i class="fa fa-close"></i> Cancelar</button>
		            </div>
               </div>                   
            </form>
        </div>
    </script>
    <script type="text/ng-template" id="modal_sector_delete.html">
        <div class="modal-header">
    		<div class="text-center">
                <h4 class="modal-title custom-font">¿Desea eliminar este Sector?</h4>
            </div>
        </div>
        <div class="modal-body">
        	<div class="text-center">
                <h3>{{obj.nombre}}</h3>
                <button type="submit" class="btn btn-danger btn-lg" ng-click="delete()" data-dismiss="modal"><span class="fa fa-check"> Eliminar</button>
                <button type="button" class="btn btn-default btn-lg" ng-click="ok()"><span class="fa fa-close"> Cancelar</button>
            </div>
        </div>
    </script>
</div>